﻿@model PMS02.Models.User
@{
    ViewBag.Title = "Login";

}
<div class="modal fade" id="loginPop" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h2 class="modal-title">Login</h2>
            </div>
            @using (Html.BeginForm())
            {
                @Html.AntiForgeryToken()

                <div class="form-horizontal">
                    <div class="modal-body">

                        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                        <div class="form-group">
                            @Html.LabelFor(model => model.Email, htmlAttributes: new { @class = "control-label col-md-2" })
                            <div class="col-md-10">
                                @Html.EditorFor(model => model.Email, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
                            </div>
                        </div>
                        <div class="form-group">
                            @Html.LabelFor(model => model.password, htmlAttributes: new { @class = "control-label col-md-2" })
                            <div class="col-md-10">
                                @Html.EditorFor(model => model.password, new { htmlAttributes = new { @class = "form-control", @type = "password" } })
                                @Html.ValidationMessageFor(model => model.password, "", new { @class = "text-danger" })
                            </div>
                        </div>

                        @if (ViewBag.Message != null)
                        {
                        <div class="alert alert-danger">
                            <strong>Error! </strong> @ViewBag.Message
                        </div>
                        }
                    </div>

                </div>
                <div class="modal-footer">
                    <div>
                        <div class="form-group">
                            <div class="col-sm-6">
                                <input type="submit" value="Login" class="btn btn-success" />
                            </div>
                            <div class="col-md-offset-2 col-md-10">
                                @Html.ActionLink("Register Now", "register")
                            </div>
                        </div>
                    </div>
                </div>
            }
        </div>
    </div>
</div>
@section scripts
{
    <script src="~/Scripts/jquery.validate.min.js"></script>
    <script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>
    <script src="~/Scripts/pop_ups.js"></script>
}
@section Styles {
    <style type="text/css">
        .modal-content {
            width: 500px;
            margin-left: 80px;
            margin-top: 100px;
        }

        .modal-header, h4, .close {
            background-color: #5cb85c;
            color: white !important;
            text-align: center;
            font-size: 30px;
        }

        .modal-footer {
            background-color: #f9f9f9;
        }
    </style>
}